Skip to navigation

Create a monomer

Create a monomer.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

Request

This endpoint expects an object.
colorstring or nullOptional
The hex color code of the monomer visual symbol
customMolecularWeightdouble or nullOptional
Optional molecular weight value that the user can provide to override the calculated molecular weight
namestringOptional
Name of the monomer
naturalAnalogstringOptional
Symbol for the natural equivalent of the monomer. Acceptable natural analog values include IUPAC bases, r, and p.
smilesstringOptional
The chemical structure in SMILES format.
symbolstringOptional

User-defined identifier of the monomer, unique on the monomer type.

visualSymbolenumOptional
The shape of the monomer visual symbol.

Response

Created
archiveRecordobject or nullOptional
attachmentPointslist of stringsOptional
A list of the capping group present at each location where the monomer can form a bond with other monomers
calculatedMolecularWeightdoubleOptional
The molecular weight of the monomer as calculated by RDKit based on the monomer chemical structure
canonicalSmilesstringOptional
The canonicalized chemical structure in SMILES format.
createdAtdatetimeOptionalRead-only
DateTime the monomer was created.
customMolecularWeightdouble or nullOptional
Optional molecular weight value that the user can provide to override the calculated molecular weight
exactMolecularWeightdoubleOptional
The exact molecular weight of the monomer as calculated by RDKit based on the monomer chemical structure
idstringOptional
ID of the monomer
modifiedAtdatetimeOptionalRead-only
DateTime the monomer was last modified.
monomerTypeenumOptional
The part of the nucleotide structure that the monomer fits into, i.e. backbone or branch
Allowed values:
namestringOptional
Name of the monomer
naturalAnalogstringOptional
Symbol for the natural equivalent of the monomer. Acceptable natural analog values include IUPAC bases, r, and p.
originalSmilesstring or nullOptional
The original chemical structure supplied by the user in SMILES format. Null if the user did not originally supply SMILES.
polymerTypeenumOptional
The polymer type of the monomer. Currently only RNA monomers are supported.
Allowed values:
symbolstringOptional

User-defined identifier of the monomer, unique on the monomer type.

visualColorstring or nullOptional
The hex color code of the monomer visual symbol
visualSymbolenum or nullOptional
The shape of the monomer visual symbol.

Errors

400
Bad Request Error
403
Forbidden Error